Description: This reference describes the classes of the python gobject module.

PyGObject Reference Manual
|  | Next

# PyGObject Reference Manual

for PyGObject version 2.28.6

2011-06-13

Abstract

This reference describes the classes of the python gobject module.

Table of Contents

Introduction
  Reference Page Format
PyGlibClass Reference
  glib.MainContext — an object representing a set of event sources to be handled in a `glib.MainLoop`.
  glib.MainLoop — an object representing the main event loop of a PyGTK application.
  glib Functions — miscellaneous functions
  glib Constants — the built-in constants of the glib module
PyGObject Class Reference
  gobject.GObject — the base class
  gobject.GBoxed — an object containing an opaque chunk of data
  gobject.GPointer — an object containing a completely opaque chunk of data
  gobject.GInterface — an object representing a GInterface
  gobject Functions — miscellaneous functions
  gobject Constants — the built-in constants of the gobject module
PyGio Class Reference
  gio.AppInfo — Information about an installed application and methods to launch it (with file arguments).
  gio.AppLaunchContext — Application launch context.
  gio.AsyncResult — Asynchronous Function Results.
  gio.BufferedInputStream — Buffered Input Stream
  gio.BufferedOutputStream — Buffered Output Stream
  gio.Cancellable — Thread-safe Operation Cancellation Stack.
  gio.DataInputStream — Data Input Stream
  gio.DataOutputStream — Data Output Stream
  gio.Drive — Virtual File System drive management.
  gio.Emblem — An object for emblems.
  gio.EmblemedIcon — Icon with emblems.
  gio.File — File and Directory Handling.
  gio.FileAttributeInfo — Information about a specific attribute.
  gio.FileEnumerator — Enumerated Files Routines.
  gio.FileIcon — Icons pointing to an image file.
  gio.FileInfo — File Information and Attributes
  gio.FileInputStream — Base class for implementing streaming input
  gio.FileMonitor — File Monitor
  gio.FileOutputStream — Base class for implementing streaming input
  gio.FilterInputStream — Filter Input Stream
  gio.FilterOutputStream — Filter Output Stream
  gio.Icon — Interface for icons.
  gio.InputStream — Base class for implementing streaming input
  gio.LoadableIcon — Interface for icons.
  gio.MemoryInputStream — Base class for implementing streaming input
  gio.MemoryOutputStream — Streaming output operations on memory chunks
  gio.Mount — Mount management
  gio.MountOperation — Authentication methods for mountable locations.
  gio.OutputStream — Base class for implementing streaming input
  gio.Seekable — Stream seeking interface.
  gio.SimpleAsyncResult — Simple asynchronous results implementation.
  gio.ThemedIcon — Icon theming support.
  gio.Volume — Volume management.
  gio.VolumeMonitor — Volume Monitor.
  gio Functions
  gio Constants — the built-in constants of the gio module
PyGio Unix Class Reference
  gio.unix.InputStream — Streaming input operations for UNIX file descriptors.
  gio.unix.OutputStream — Streaming output operations for UNIX file descriptors.

|  | Next
|  | Introduction